
default:
  interruptible: true
  timeout: 5m

.helmfiletest:
  stage: test
  image: ghcr.io/utopia-planitia/helm-tools-image:latest@sha256:5813260bdad3a2dc8b104ad554a23ed723baddfd19db1d902965f03313d06cba

backup-schedule/helmfile.yaml template:
  script:
    - helmfile --selector phase!=delete --file backup-schedule/helmfile.yaml --state-values-file ../ci/cluster.yaml template
  extends: .helmfiletest

backup-schedule/helmfile.yaml lint:
  script:
    - helmfile --selector phase!=delete --file backup-schedule/helmfile.yaml --state-values-file ../ci/cluster.yaml lint
  extends: .helmfiletest

tests/helmfile.yaml template:
  script:
    - helmfile --selector phase!=delete --file tests/helmfile.yaml template
  extends: .helmfiletest

tests/helmfile.yaml lint:
  script:
    - helmfile --selector phase!=delete --file tests/helmfile.yaml lint
  extends: .helmfiletest

velero/helmfile.yaml template:
  script:
    - helmfile --selector phase!=delete --file velero/helmfile.yaml --state-values-file ../ci/cluster.yaml template
  extends: .helmfiletest

velero/helmfile.yaml lint:
  script:
    - helmfile --selector phase!=delete --file velero/helmfile.yaml --state-values-file ../ci/cluster.yaml lint
  extends: .helmfiletest

velero-crds/helmfile.yaml template:
  script:
    - helmfile --selector phase!=delete --file velero-crds/helmfile.yaml template
  extends: .helmfiletest

velero-crds/helmfile.yaml lint:
  script:
    - helmfile --selector phase!=delete --file velero-crds/helmfile.yaml lint
  extends: .helmfiletest

